Foreman - Bug #23361

plugin RPMs do not build when they contain webpack assets
04/23/2018 07:25 AM - Evgeni Golov

Status: Closed
Priority: Urgent
Assignee: Ewoud Kohl van Wijngaarden
Category:
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5478
Description

** Invoke plugin:assets:precompile (first_time)
** Invoke environment (first_time)
** Execute environment
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/logger.rb:295: warning: con
stant ::Fixnum is deprecated
API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.
INFO app : Current user: foreman_admin (administrator)
INFO app : Current user: foreman_admin (administrator)
INFO app : Current user: foreman_admin (administrator)
rake aborted!
Errno: :EACCES: Permission denied @ rb_sysopen - /builddir/build/BUILD/rubygem-katello-3.7.0/usr/sh
are/foreman/public/webpack/manifest.json
/builddir/build/BUILD/rubygem—katello—-3.7.0/usr/share/foreman/config/initializers/assets.rb:109:in
“initialize'
/builddir/build/BUILD/rubygem—katello—-3.7.0/usr/share/foreman/config/initializers/assets.rb:109:in
“open'
/builddir/build/BUILD/rubygem-katello-3.7.0/usr/share/foreman/config/initializers/assets.rb:109:in
"block (2 levels) in <top (required)>'

Associated revisions

Revision 9392da0a - 04/28/2018 01:15 PM - Ewoud Kohl van Wijngaarden

Fixes #23361 - Handle webpack manifests from plugins

In a production setup Foreman can't write to the manifest.json location.
Here we copy the pattern from the above sprockets initialization and
change the webpack-rails setting to read it. Because webpack-rails
only supports initializing the manifest by reading a file, we monkey
patch it to allow us setting it explicitly.

History

#1 - 04/23/2018 08:31 AM - Evgeni Golov

It tries to write the the foreman webpack/manifest.json and that's not allowed in this scenario.

#2 - 04/23/2018 08:53 AM - Evgeni Golov
- Project changed from Packaging to Foreman

- Subject changed from tfm-rubygem-katello RPM does not build to plugin RPMs do not build when they contain webpack assets

#3 - 04/23/2018 10:06 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden
- Pull request https://github.com/theforeman/foreman/pull/5478 added

#4 - 04/23/2018 11:03 AM - Ondfej Prazak

- translation missing: en.field_release set to 330

#5 - 04/28/2018 02:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9392da0a365ca4ed2dbc83a96281d2557a8541bd.
